import { Result } from "../../../helper/result";
import { SelectProcess } from "./select_dataset/presentation/select_process";
import { SelectDetail } from "./select_detail/presentation/select_detail_screen";

export enum FormBuilderComponents {
  SelectDetail = "SelectDetail",
  SelectProcess = "SelectProcess",
}
export interface IFormBuilderComponentsProps<T> {
  dependency: T;
  onChange: (obj: any) => void;
}
export const getFormBuilderComponents = (
  name: string,
  dependency: any,
  onChange: (text: string) => void
): Result<string, React.ReactNode> => {
  if (name.isEqual(FormBuilderComponents.SelectDetail)) {
    return Result.ok(<SelectDetail dependency={dependency} onChange={onChange} />);
  }
  if (name.isEqual(FormBuilderComponents.SelectProcess)) {
    return Result.ok(<SelectProcess dependency={dependency} onChange={onChange} />);
  }
  return Result.error(name);
};
