import { NavigateFunction } from "react-router-dom";
import { FormState } from "../../../../../store/base_store";
import { SelectProcessModel } from "../model/select_process_model";
import { SelectProcessRepository } from "../data/select_process_repository";
import { CalculationModel } from "../../../../../../features/calculation_instance/model/calculation_model";
import makeAutoObservable from "mobx-store-inheritance";

export class SelectProcessStore extends FormState<SelectProcessModel, any> {
    selectProcessRepository = new SelectProcessRepository();
    viewModel: SelectProcessModel;
    calculationInstances: CalculationModel[] = [];
    constructor() {
        super();
        makeAutoObservable(this);
    }
    async init(navigate?: NavigateFunction | undefined): Promise<any> {
        await this.mapOk('calculationInstances', this.selectProcessRepository.getAllProcessByType(this.viewModel.type));

        this.calculationInstances = this.calculationInstances.map((el) => {
            // @ts-ignore
            delete el['formBuilder'];
            return el;
        })

    }
}