import React, { useEffect, useRef, useState } from "react";
import styled from "styled-components";

interface PopoverProps {
  content: React.ReactNode;
  children: React.ReactNode;
}

const PopoverV2: React.FC<PopoverProps> = ({ content, children }) => {
  const [visible, setVisible] = useState(false);
  const ref = useRef<HTMLDivElement>(null);
  const togglePopover = () => {
    setVisible((prev) => !prev);
  };

  return (
    <div
      style={{
        position: "relative",
        display: "inline-block",
      }}
      onClick={() => togglePopover()}
    >
      {children}
      <div
        style={{
          position: "absolute",
          backgroundColor: "white",
          border: "1px solid #ccc;",
          borderRadius: "4px",
          padding: "10px;",
          zIndex: "1000",
          transition: "opacity 0.2s ease, visibility 0.2s ease",
          opacity: visible ? 1 : 0,
          visibility: visible ? "visible" : "hidden", 
        }}
      >
        {content}
      </div>
    </div>
  );
};
// visibility: ${({ visible }) => (visible ? 'visible' : 'hidden')};
//   opacity: ${({ visible }) => (visible ? 1 : 0)};
//   transition: opacity 0.2s ease, visibility 0.2s ease;
export default PopoverV2;
